<script lang="ts">
	import * as Button from '$lib/components/ui/button/index.js';

	const { ...restProps }: Record<string, unknown> = $props();
	let ref = $state<HTMLElement | null>(null);
</script>

<Button.Root bind:ref type="submit" {...restProps} />
